LINUX.ORG.RU
ФорумTalks

Меня тут кое-что люто забавит

 ,


0

1

Вот вроде бы и совсем недавно ситуация с драйверами на линуксе была настолько кошмарной, что приходилось выбирать железо под ОС.

А сейчас меня даже просят сканировать треш, потому что под их новенькой шиндой драйвер для сканера уже не работает.

И тут оказывается, что ситуация, оказывается, носит массовый характер.

Под 10 нет драйверов под мой графический планшет и не будет. Конечно можно купить новый планшет, но зачем лишние траты, если старый планшет всем устраивает?

Вкратце, нет драйверов под нужное мне оборудование, да еще и баги не дающие спокойно жить. Так что я лично честно пытался на нее перейти, но не срослось.

Intel GMA3150 видеодрайвер не поддерживается Windows 10. Однако система уже дважды (!) пыталась обновиться, естественно с откатом по ошибке.

Тем временем, на дворе 2015 год, а из ядра совсем недавно 386 выпилили.

Поздравляю, господа, это он. Особенно, в России, с такими-то ценами на технику.

★★★★★

совсем недавно

Оно с 2.6.x не работает даже на 386, ибо сломано, и всем традиционно положить.

svr4 ()
Ответ на: комментарий от svr4

Последний раз, когда я хотел запустить linux на 386 оно хотело минимум 4мб памяти, а у меня было только 2. Пришлось ставить minix.

pawnhearts ★★★★★ ()
Ответ на: комментарий от svr4

Тьфу ты, попутал немного циферку, но не соль. Поэтому и выпилили, как я полагаю.

derlafff ★★★★★ ()

У меня знакомый поставил 7-ку 64 бита. А драйвер сканера только 32-ух битный. Либо за деньги покупай. Пришлось в виртуалку ставить XP, пробрасывать USB...

greenman ★★★★★ ()

А сейчас меня даже просят сканировать треш, потому что под их новенькой шиндой драйвер для сканера уже не работает.

А у меня сканер от epson 2003 года выпуска (более десяти лет) и из коробки работает в вындоувз 10

fornlr ★★★★★ ()

У меня два сканера лежат на полке, не юзаю. Ибо у одного драйвера до XP, у второго LPT (Mustek). Использую третий сканер, современный, который в МФУ. Там USB, и есть драйвера на сайте Kyocera, страницы сканит быстро в 300dpi (3.5-4 сек А4).

<мечты>вот если бы производители железа стали публиковать свои спеки ...</мечты>

pacify ★★★★★ ()

так еще с семеркой трудности начались.

я однажды вылечил грубой силой: поставил хр-шные дрова, внезапно, на хр, выпилил их (не помню какой) тулзой для бэкапа драйверов, впилил в семерку, и о, чудо! - заработало!

conalex ★★★ ()
Последнее исправление: conalex (всего исправлений: 1)
Ответ на: комментарий от pawnhearts

У меня и 8 было, там просто поддержка 386 сломана.

svr4 ()

Старое говно не нужно.

YLoS ★★★ ()
Ответ на: комментарий от pacify

Мне отец приниер со сканером отдал только потому что в osx они не работают. Принтер завел, а сканер не работает:) фирма xerox мля

YLoS ★★★ ()

эммм. моя непонимать.

windows 10 вышла в августе 2015, и зачем им тянуть за собой железо 10-летней давности? имхо, всё правильно, современная ОСь только для современных устройств.

это тоже самое что возьми сейчас и накати ubuntu на старый комп начала нулевых. дело не в поддержке железа, — памяти не хватит для нынешних повседневных задач. но во-первых, никто не мешает установить дистрибутив того времени, а во-вторых линукс у нас с открытым кодом, и никто не мешает собрать дистрибутив под конкретное железо самостоятельно. кроме лени и нехватки знаний. усё.

и я по правде говоря не вижу проблемы, что пользователи на старом железе не могут завести современную windows 10. это относится что к linux, что к windows, в одинаковой мере.

хотите пользоваться софтварными новинками — покупайте современное железо. всё честно.

Spoofing ★★★★★ ()
Последнее исправление: Spoofing (всего исправлений: 1)
Ответ на: комментарий от Spoofing

хотите пользоваться софтварными новинками — покупайте современное железо. всё честно.

Это не честно, это «потребляй и выкидывай полностью работоспособное и хорошее оборудование».

имхо, всё правильно, современная ОСь только для современных устройств.

Использую ядро 2015 года и сканер из начала нулевых. Вот это — правильно, а не твой потрешлюхский подход, ибо он сканирует и делает это хорошо.

derlafff ★★★★★ ()
Ответ на: комментарий от Spoofing

современная ОСь только для современных устройств

А! Ваши ноги не подходят под ботинки — подрежьте пальцы, если не поможет — открамсайте пятки.

памяти не хватит для нынешних повседневных задач

И чем же кардинально изменился состав повседневных задач?

хотите пользоваться софтварными новинками — покупайте современное железо. всё честно

А в комплекте подрезалки пальцев и крамсалки пяток случаем не идут?

deep-purple ★★★★★ ()
Ответ на: комментарий от derlafff

Использую ядро 2015 года и сканер из начала нулевых. Вот это — правильно

правильно. потому что линукс, потому что опен сорц.

выкидывай полностью работоспособное и хорошее оборудование

выкидывать не обязательно, установив линукс — любому железу можно найти применение.

речь в топике идёт о windows 10, и нынешняя ubuntu иже с ним, не может быть установлена на старое железо и это абсолютно нормально и правильно.

а старому железу — старый софт. в т.ч. ядро из 2015 года.

Spoofing ★★★★★ ()
Ответ на: комментарий от Spoofing

Железо бывает разным, и много периферийных устройств продолжает работать и по сей день. У меня есть, например, рабочие сканер Benq SZW 4300U (да, ещё USB 1.1, выпущен в 2002-м году) и лазерный принтер Samsung ML-1512. Под Linux'ом всё работает и жрать не просит. Тем более, что это не те устройства, которые обычно нужны для постоянного активного использования. Вот во время учёбы в ВУЗе на этом принтере было много что распечатано, это да. А теперь только изредка что-нибудь распечатывается.

saahriktu ★★★★★ ()
Последнее исправление: saahriktu (всего исправлений: 1)
Ответ на: комментарий от deep-purple

И чем же кардинально изменился состав повседневных задач?

веб 2.0, а больше и ничем, вроде. новые веб-технологии требуют больших ресурсов, чтобы отображать YOBA-медиа-данные на веб-страничке. основной потребитель ресурсов на рабочих станциях это firefox, наверное. задачи те же, возможностей больше и они более ресурсоёмки.

в плане же десктопа ничто не мешает установить какой-нибудь fvwm, в качестве железа используя современный 2х ядерный проц под 4ггц. fvwm одинаково летает что тут, что на железе 20 летней давности.

но сейчас пользователи предпочитают gnome 3, unity, которые не встанут на мой бывший P166 с 48мб памяти. так же не встанет на него windows 10. почему я должен кому-то об этом жаловаться? а люди вон, жалуются.

приводя ваши аналогии в ответ, — «я купил хомячка 3 года назад, а вчера он перестал просыпаться, не выходит из гибернации, доктор, почему?»

железо как и живые существа имеют свойство устаревать и ломаться. и это нормально.

о чём тред развели, х.з. :)

Spoofing ★★★★★ ()
Ответ на: комментарий от Spoofing

железо как и живые существа имеют свойство устаревать и ломаться. и это нормально.

Когда ломается - да. А когда ещё не поломалось, очень даже хорошо работает, но его поддержку активно выпиливают - это не нормально.

saahriktu ★★★★★ ()

Поздравляю, господа, это он. Особенно, в России, с такими-то ценами на технику.

Вендолюбы повозмущаются и пойдут за новыми железками. Это стандартный процесс, они к нему привыкли.

andreyu ★★★★★ ()
Ответ на: комментарий от Spoofing

пользователи на старом железе не могут завести современную windows 10.

Пользователи как бы намекают, что не хотят заводить десятку на своем железе. Но винда настойчиво предлагает обновиться. Недавно обновлялка винды дала выбор - «обновиться сейчас» и «обновиться вечером». Это не считая того, что эта самая обновлялка стала сама «случайно» запускаться.

andreyu ★★★★★ ()
Ответ на: комментарий от andreyu

Windows 7 - окончание расширенной поддержки 14 января 2020 г.

Так что фанатики могут радоваться (не понятно чему) в своём мирке, а обычным пользователям как-то плевать.

fornlr ★★★★★ ()
Ответ на: комментарий от fornlr

Windows 7 - окончание расширенной поддержки 14 января 2020 г.

И что это значит для домашних пользователей, которым «обновлялка винды дала выбор - «обновиться сейчас» и «обновиться вечером».»?
Меня тут кое-что люто забавит (комментарий)

andreyu ★★★★★ ()
Ответ на: комментарий от Spoofing

а люди вон, жалуются.

А спуфя как всегда.
Проблема не в том, что оно нивстает на дренее железо. Проблема в том, что железо, достаточное для выполнения некоей группы задач (не устаревшее, т.е.) - скидывается в утиль. Я понимаю, что поддержка ручного сканера образца 80х - это странно и ненужно, но сканер из 2005 и сканер из 2015 отичаются разве что разрешением (да и то, не всегда).

takino ★★★★ ()
Ответ на: комментарий от andreyu

Да ничего особенного. У меня вот стоит windows 8.1 для игр. Полный дефолт. Почитай твои слова, так подумаешь, что как-будто надо уворачиваться с трудом от обновления до windows 10 :D

Так нет же - висит в углу этот значок, ну и буй с ним.

fornlr ★★★★★ ()
Ответ на: комментарий от Deleted

Окончание основной фазы поддержки - 13 января 2015 г.

Ну и как это отразаится на обычном пользователе в ближайшие несколько лет? Правильно никак. Тут вон софт ещё XP поддержку с трудом дропает, Chrome планирует это сделать в следующем году (15 лет для ОС - столько не живут)

fornlr ★★★★★ ()
Ответ на: комментарий от andreyu

У меня вот есть сканер (epson) и принтер (HP), оба работают полноценно только под вендой, под линуксом в урезанном режиме.

Вот такие вот пироги... А выглядывать какие там болячки у коровы соседа - это фанатизм и глупость да и только.

fornlr ★★★★★ ()

лет 12 назад, под winxp держал тогда еще innotek virtualbox с вин98, в которой был куда удобнее софт с драйвером для сканера, и который не работал под winxp.

bl ★★★ ()
Ответ на: комментарий от deep-purple

И чем же кардинально изменился состав повседневных задач?

640 кб хватит всемЛого с кирпичами в HD не лезет в 640 кб )

slackwarrior ★★★★★ ()
Ответ на: комментарий от Spoofing

правильно. потому что линукс, потому что опен сорц.

вот тогда и говори правильно, не «софт», а «шинда» или «недоось».

derlafff ★★★★★ ()
Ответ на: комментарий от Spoofing

зачем им тянуть за собой железо 10-летней давности?

Затем, или ты думаешь, шо после выхода ШынОС10 все в срочном порядке побежали обновлять ОС, ПК и аксессуары? Нет конечно, всем насрать, шо там у мелкософта вышло, главное шоб не форсили через глотку, проапдейтятся через 5-10 лет, когда комп сдохнет.

FiXer ★★☆☆☆ ()
Ответ на: комментарий от fornlr

Почитай твои слова, так подумаешь, что как-будто надо уворачиваться с трудом от обновления до windows 10 :D

Повторю для тех, кто с трудом читает - обновлялка последних версий научилась сама «случайно» запускаться. На выбор предлагает два варианта - «обновить сейчас» и «обновить вечером».

andreyu ★★★★★ ()
Ответ на: комментарий от fornlr

У меня вот есть сканер (epson) и принтер (HP), оба работают полноценно только под вендой, под линуксом в урезанном режиме.

А в следующем тихом апдейте сделают обновление до 10 без запроса. И отвалятся ваши сканер с принтером, тогда вы и вспомните, что под линуксом они продолжат работать.

andreyu ★★★★★ ()
Ответ на: комментарий от FiXer

Поставь GWX Control Panel: http://ultimateoutsider.com/downloads/ и забудь про мелкософт.

Лучше я просто не буду ставить никакую виндовс, останусь под линуксом.

Интересно, чем вам поможет GWX Control Panel, когда вы приобретете новый девайс (принтер, камеру, сканер, етц), драйвера для которых будут только под 10? Сделаете дуалбут - десятка для новых девайсов, семерка для старых? Впрочем вендолюбы и не на такое способны.

andreyu ★★★★★ ()

а из ядра совсем недавно 386 выпилили

FTDI драйвер опять сломали (в который раз уже?). Aufs в 4.x почему-то выкинули. Ну и вечный NIH во все поля. Т.ч. да, близок.

beastie ★★★★★ ()
Ответ на: комментарий от beastie

Aufs в 4.x почему-то выкинули

Во-первых, потому что говно:

Given the incredible flexibility and feature set of aufs, why isn't it more popular? A quick browse through the source code gives a clue. Aufs consists of about 20,000 lines of dense, unreadable, uncommented code, as opposed to around 10,000 for unionfs and 3,000 for union mounts and 60,000 for all of the VFS. The aufs code is generally something that one does not want to look at.

Во-вторых. потому что в ядре уже есть OverlayFS — https://github.com/torvalds/linux/commit/e9be9d5e76e34872f0c37d72e25bc27fe9e2...

redgremlin ★★★★★ ()
Ответ на: комментарий от andreyu

А в следующем тихом апдейте сделают обновление до 10 без запроса. И отвалятся ваши сканер с принтером, тогда вы и вспомните, что под линуксом они продолжат работать.

Выше уже писал, что мой сканер epson 2003 года нормально работает в windows 10. Принтер уж тем более, ибо более новый, в отличии от сканера уже третий по счету (ломаются).

PS: тем более, что касается меня, я не использую их под вендой (а просто проверял работу).

fornlr ★★★★★ ()
Последнее исправление: fornlr (всего исправлений: 1)
Ответ на: комментарий от andreyu

десятка для новых девайсов, семерка для старых? Впрочем вендолюбы и не на такое способны.

Во первых чушь, ибо семерку ой как долго дропать будут (пример XP в помощь)

А во вторых держать виртуалку с вендой на линуксе для устройств, это принципиально отличается?

fornlr ★★★★★ ()
Ответ на: комментарий от fornlr

Заранее при покупке предугадать нельзя, будет ли девайс работать в следующей венде. А вот если девайс под Linux работает, особенно со свободными драйверами, то, скорее всего, будет работать ещё долгое время на новых дистрибутивах.

te111011010 ()
Ответ на: комментарий от andreyu

Кто бы говорил. И для чего есть сайты с списком железа под линукс? Тот же xorg, который не на всех устройствах заведётся.

YLoS ★★★ ()

Да, со сканерами там беда. А лично у меня беда с эмулятором pcsx. Работает только под минтом, под виндами - 10 и 7 - не хочет.

tiinn ★★★★ ()
Ответ на: комментарий от YLoS

Речь не о том, что изначально не заводится, а о том, что изначально заводилось, а в новых версиях системы перестало. Так вот, такое в Linux такого практически не бывает, если драйвер свободный. Если проприетарный, то, конечно, бывает, но виноват производитель. Но главное отличие — большинство дистрибутивов (rolling-release не в счёт) не навязывают смену релиза.

te111011010 ()

Из криокамеры вылез? Дрова под железо 10 летней давности писали для 98/xp, под очень многое железо даже для 7 дров не было.

unt1tled ★★★★ ()
Последнее исправление: unt1tled (всего исправлений: 1)

Благодаря этому я и перешёл в своё время на Linux. Было это несколько лет назад, тогда я пользовался 3G-модемом от билайн, так вот, в винде, для того, чтобы подключиться к интернету, в первый раз нужно было с помощью билайновской софтинки долго его настраивать, и потом каждый раз при подключении использовать её же, и подключался он несколько минут, а потом я случайно набрёл на Федору, которая прилагалась к журналу CHIP вроде бы, и я, абсолютно ничего не понимая в GNU/Linux, в первый же раз с помощью этого модема подключился к интернету буквально за полминуты! Это меня настолько поразило, что уже в самом скором времени я избавился от Windows и больше никогда им не пользовался. Такие дела.

the_electric_hand ★★ ()
Ответ на: комментарий от the_electric_hand

в первый же раз с помощью этого модема подключился к интернету буквально за полминуты!

Ах да, забыл сказать, там был NetworkManager, всё благодаря нему.

the_electric_hand ★★ ()
Ответ на: комментарий от fornlr

А в 2020 году конец света и все Windows пользователи умрут? Или Microsoft вдруг резко сменит политику и напишет дрова для старой периферии/сделает так, чтобы дрова от старых версий Windows работали?

peregrine ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.